﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataValidation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public int Age { get; set; }



        public double Hinta
        {
            get { return (double)GetValue(HintaProperty); }
            set { SetValue(HintaProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Hinta.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty HintaProperty =
            DependencyProperty.Register("Hinta", typeof(double), typeof(MainWindow), new PropertyMetadata(0.0));




        public MainWindow()
        {
            InitializeComponent();

            // asetetaan datacontext, joka periytyy kaikille
            this.DataContext = this;
            Age = 30;
            Hinta = 50.5;
        }

        /// <summary>
        /// Oma validointisääntö. Voidaan kustomoida virheilmoitus ym.
        /// </summary>
 
    }

    public class StringToDoubleValidationRule : ValidationRule
    {
        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {
            try
            {
                double.Parse(value.ToString());
            }
            catch (Exception)
            {
                return new ValidationResult(false, "Anna kelvollinen desimaaliluku");
            }
            return new ValidationResult(true, null);

        }
    }

}
